Bug 332512 - Plasma Popups aren't resizable, and if you force-resize them, they forget their size after the computer or plasmashell is restarted
Summary: Plasma Popups aren't resizable, and if you force-resize them, they forget the...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-plasma
Classification: Unclassified
Component: libplasma (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR major with 372 votes (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords: usability
: 334965 340109 343664 343944 348044 350060 352757 353058 354879 354880 355783 356353 356686 363792 363912 376127 389860 389970 390352 395892 410874 418724 430332 433671 438181 453449 455881 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-03-24 15:15 UTC by Sebastian Kügler
Modified: 2022-06-24 13:54 UTC (History)
54 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments
Add a spin button to the kickoff menu. (484 bytes, patch)
2015-05-16 17:20 UTC, Gerold Jens Wucherpfennig
Details
networkmanager uses not even the half of the screeen size (886.10 KB, image/png)
2016-06-27 16:30 UTC, Thomas Meiner
Details
The "add Widgets" dialogue is able to use the howl screen. (883.50 KB, image/png)
2016-06-27 16:35 UTC, Thomas Meiner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Kügler 2014-03-24 15:15:18 UTC
It's impossible to resize a Plasma popup dialog, for example those popping out of the panel. The corners should be draggable and then remember their size, just like in Plasma 1.

Reproducible: Always

Steps to Reproduce:
1. Open a popup from panel (calendar, kickoff or systemtray for example)
2. Move mouse pointer to a corner
3. Drag the corner to make the popup larger and smaller
Actual Results:  
popup doesn't resize

Expected Results:  
Popup should resize and remember its size

Missing feature, needs implementation in PlasmaCore's  Dialog class and likely drag implementation for the default popup implementation of the shell. Also a property to make it resizable would be useful, perhaps combined with the relevant window flags.
Comment 1 Marco Martin 2014-03-27 11:41:16 UTC
It was intentionally left behind on the idea that widgets size hints must be correct
anyways I would delay post 1.0 release
Comment 2 Eike Hein 2014-05-17 22:40:22 UTC
*** Bug 334965 has been marked as a duplicate of this bug. ***
Comment 3 Eike Hein 2014-05-17 22:40:58 UTC
See bug 334923 for another case where this broke things that used to work.
Comment 4 David Edmundson 2014-12-19 12:42:21 UTC
*** Bug 340109 has been marked as a duplicate of this bug. ***
Comment 5 Bhushan Shah 2015-02-02 16:49:13 UTC
*** Bug 343664 has been marked as a duplicate of this bug. ***
Comment 6 valdikss 2015-05-11 19:38:53 UTC
Workaround:

Open popup you want, press "pin" button, hold alt and right mouse button, press "pin" button again. Popup is resized.
Comment 7 andy gaal 2015-05-13 20:14:53 UTC
(In reply to valdikss from comment #6)
> Workaround:
> 
> Open popup you want, press "pin" button, hold alt and right mouse button,
> press "pin" button again. Popup is resized.

i'm also very interested to get this issue solved, since in kde4 i could drag kickoff as fitting my
app structures without dealing with scrollbars. 
Particulary I could not find any Pin Button on kicker application launcher ?
Comment 8 Gerold Jens Wucherpfennig 2015-05-16 17:16:45 UTC
For the work-around with the "pin" button, you have to add a pin button to:

"/usr/share/plasma/plasmoids/org.kde.plasma.kickoff/contents/ui/Header.qml"
Comment 9 Gerold Jens Wucherpfennig 2015-05-16 17:20:18 UTC
Created attachment 92638 [details]
Add a spin button to the kickoff menu.

Here is the patch to add a pin button to the kickoff menu,
in order to do the work-around of resizing kickoff ...
Comment 10 Gerold Jens Wucherpfennig 2015-05-16 17:21:48 UTC
Sorry that should be "pin" and not "spin" in the description of the patch...
Comment 11 andy gaal 2015-05-17 10:35:16 UTC
(In reply to Gerold Jens Wucherpfennig from comment #9)
> Created attachment 92638 [details]
> Add a spin button to the kickoff menu.
> 
> Here is the patch to add a pin button to the kickoff menu,
> in order to do the work-around of resizing kickoff ...

that is great, worked perfectly thank you a lot  : - )
if the desktop cube wallpaper issue fix someday
will also come than plasma 5 will be turned perfect again  : - )
Comment 12 Eike Hein 2015-05-21 12:35:11 UTC
*** Bug 348044 has been marked as a duplicate of this bug. ***
Comment 13 eduard 2015-06-01 18:26:25 UTC
The patch is ok for kickoff. If you wanna resize folder popup then you should add the same code to /usr/share/plasma/plasmoids/org.kde.desktopcontainment/contents/ui/FolderViewLayer.qml

I did it after PlasmaComponents.Label {
        anchors.fill: parent

        text: folderView.errorString

        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.Wrap
    }

and sort of works (pin appears in desktop folder too). I don't know there is a place you can put the code into so pin does not apear if folder has no title.

The code to add after Label description:

   PlasmaComponents.ToolButton {
        anchors.right: parent.right
        width: Math.round(units.gridUnit * 1.25)
        height: width
        checkable: true
        iconSource: "window-pin"
        onCheckedChanged: plasmoid.hideOnWindowDeactivate = !checked
     }
Comment 14 David Edmundson 2015-09-21 08:14:46 UTC
*** Bug 352757 has been marked as a duplicate of this bug. ***
Comment 15 Eike Hein 2015-11-05 07:25:35 UTC
*** Bug 354880 has been marked as a duplicate of this bug. ***
Comment 16 Eike Hein 2015-11-23 17:08:45 UTC
*** Bug 355783 has been marked as a duplicate of this bug. ***
Comment 17 David Edmundson 2015-12-12 21:00:47 UTC
*** Bug 356353 has been marked as a duplicate of this bug. ***
Comment 18 David Edmundson 2015-12-13 21:42:08 UTC
*** Bug 354879 has been marked as a duplicate of this bug. ***
Comment 19 Blackpaw 2015-12-13 22:04:24 UTC
Its kinda depressing that such a basic usability feature has zero consideration from the kde devs. Held the faith through the long KDE4 transition only to see it tossed aside for new shiny.
Comment 20 Eike Hein 2015-12-13 22:12:45 UTC
Its kinda depressing when folks think guilting people into working on their pet features is a good way to motivate them and trivialize other improvements as "new shiny" along the way.
Comment 21 Blackpaw 2015-12-13 22:47:39 UTC
Sums up the new attitude in KDE - basic usability is a "Pet" feature. I assume the new low contrast flat borderless look, which is terrible for anyone with less than perfect vision is not a pet feature. Its a crucial way fwd into the future!
Comment 22 Blackpaw 2015-12-13 22:48:07 UTC
UX designers have killed kde.
Comment 23 andy gaal 2015-12-13 23:06:29 UTC
the transition from kde3 to kde4 was also problematic,
since it was a total rework. Surely it is a whole lot of work
it has been done, we should also appreciate that, 
i could imagine that important features like
this and the desktop wallpaper issue will be solved some
day. Right now is the pin button solution practicable for
the time till then...tried xfce,  plasma is still the best :-)
Comment 24 Blackpaw 2015-12-13 23:15:00 UTC
And Plasma 5/version whatevers appears to be a total rework as well, abandoning all the ui basics achieved in 4.

And I'm not trying to guilt the devs into anything. Ironically we switched to Debian & Ubuntu/Mate at work - KDE is unusable in a VM or remotely, which rules it out for business use these days. I use Win 10 at home - it a lot more usable/pretty then KDE these days and weirdly, MS is more responsive to user feedback.

The whole direction of KDE has changed to form over function and I don't see that changing. Usability doesn't get a look in. Kontact/Akonadi is in its nth re-architecture. KDE Mobile is a joke and waste of resources. KDE is effectively a niche toy now.

I used to test and contribute patches to KDE. Why bother now. Sick of waiting for "Real Soon Right Now"
Comment 25 andy gaal 2015-12-13 23:21:52 UTC
Plasma is missing a few features kde4 had, maybe they come, but unity is like for old woman, windows for ignorants, xfce ist nearly good but not very intuitive, mate is much to simple, still plasma5 is the best desktop around here.
Comment 26 Blackpaw 2015-12-13 23:26:41 UTC
Yup, form over function

"but unity is like for old woman, windows for ignorants,"

And juvenile fanbois.
Comment 27 Eike Hein 2015-12-13 23:31:45 UTC
Please don't abuse this ticket for your personal rant vendetta, thanks.
Comment 28 andy gaal 2015-12-13 23:37:43 UTC
here a request, maybe could the pin button implemented temporarily, since it goes away everytime an update comes, i can live with that pin button for a while  : - )
Comment 29 Eike Hein 2015-12-14 00:02:15 UTC
Andy, unfortunately the work involved in making the pin button thing work well is more or less the same as just implementing resizable popups outright so it's not really a solution.

As for "basic usability": Being able to run Plasma on top of a library stack that still sees active bug and security fixes is basic usability. Being able to make things large enough so you can actually discern the UI on your new hi-res monitor is basic usability. Being able to enter text in your language's writing system and have it render on screen is basic usability. Being able to connect to the internet in some of the more complicated networks out there is basic usability. If you're a laptop user decent power management is basic usability.

All of these things are areas that have seen a lot of work in Plasma 5 (and by KDE developers in Qt 5), and there are many tens of thousands of lines of newly-written or revamped code dedicated to addressing them. None of these things appear magically out of thin air. "Basic usability" has many definitions, and we don't have the luxury of taking *any* of them for granted since we have to actually make things work and keep things working.

If one you personally care about isn't addressed it usually means folks came to different conclusions as to how their priority given a finite resource budget should be sorted, and maybe - just maybe - that's because they're aware of more of them. Understanding this won't solve your problem and won't necessarily improve your experience using the product (which nobody questions is bad if it doesn't satisfy your personal requirements), but it might pre-empt that "zero consideration" assumption you made on the way in.

The other thing is a very basic point about human interaction. "That you won't do / let me do X depresses me" is designed to make someone feel bad and provoke them into addressing your need to make the bad feeling stop. Instead it creates defensiveness and resentment. Positive reinforcement is always a more effective way to sway minds.
Comment 30 andy gaal 2015-12-14 00:13:33 UTC
first i was unhappy about those 2 missing features but than i was thinking and reconsidering now I really do appreciate the work kde devs are doing considering the whole qt5 rework, I am absolutely good with inserting my pin button myself,  thanks for all your work.
Comment 31 Eike Hein 2015-12-14 00:14:31 UTC
FWIW, I'd really really really like to be able to resize my panel's Folder View popups, so this bug affects me personally as well.
Comment 32 Eric S 2015-12-14 03:41:16 UTC
I'd just like to comment that while many of Blackpaw's bitter comments are very unconstructive, they do reflect the fact that a certain amount of community good will does gets burned away when a "reboot" like Plasma 5 or KDE 4 happen, and it's probably worth thinking about ways to ameliorate that (much bigger discussion than belongs here). 

Personally I only have tinges of irritation about the backward steps taken in Plasma 5, but Eike's comments actually make me feel better, as showing that the KDE devs really do care. Thanks, Eike, for your calm and well considered responses here.
Comment 33 andy gaal 2015-12-15 01:58:13 UTC
while I was  overstating in my criticism to windows 10, it is surely a very complex system but it by far does not put the user in the center as kde4, plasma5 does. The one dimensional structure of unity does leave no power to the user wishes, you can take it or live it, like choosing between grey and grey.  Very simple. The effort creating such a sophisticated system as kde4 and plasma5 is far more higher and demands far more work. I remember as kde4 took its baby steps, many people laughed about and criticised and left. KDE4 turned out to be the best along with time, as  I held on to it because it still left me so much freedom...  you are working on the best, most userfriendly desktop I know so far, and the results are promissing even now the old and matured and good xfce has not so much simplicity and beauty as plasma5 does, so keep on, dont let discourage yourself building it.
Comment 34 Kai Uwe Broulik 2015-12-15 22:35:38 UTC
*** Bug 356686 has been marked as a duplicate of this bug. ***
Comment 35 Paul 2015-12-21 14:29:04 UTC
(Sebastian Kügler wrote in comment #0)
> It's impossible to resize a Plasma popup dialog, for example those popping
> out of the panel. The corners should be draggable and then remember their
> size, just like in Plasma 1.
> 

A fairly basic (trivial almost) requirement... 

So what actually is the plan/timescale on implementing resizeable popups outright?
Comment 36 Eike Hein 2015-12-21 14:40:13 UTC
It's not entirely trivial because some of our popups resize to fit content smartly. If we allow user resizing, there needs to be a facility to revert to auto-sizing behavior, or individual popups need a flag to allow/disallow resizing. When storing popups sizes in pixels scaling that number by scale factor on scale factor changes (e.g. due to DPI changes) is needed as well and other things. It's not impossible, but it's a bit more than "lemme do that tonight".
Comment 37 András Manţia 2015-12-21 14:46:36 UTC
Can't the user size be used as a minimum size? After all that is what we expect, at least I resize (well, want to resize) the popups, so I don't get scroll bars. If it grows bigger because it needs to, that is fine.
Comment 38 andy gaal 2015-12-21 15:47:10 UTC
as my manjaro updated to plasma 5.5.1 I was able to resize the "kickoff" menu by pressing alt and dragging with the right mouse button hold.   : - )  That made me feel really happy - Just did not try maybe it also applies to the popups ?
Comment 39 andy gaal 2015-12-21 15:49:19 UTC
p.s.  plasma 5.5.1 is really coool compliment to the kde devs.
Comment 40 Paul 2015-12-21 15:54:19 UTC
(In reply to Eike Hein from comment #36)
> It's not entirely trivial because ... but it's a bit more than "lemme do
> that tonight".

Thanks for your reply. I wasn't suggesting that the solution was trivial. I was asking what the plan/timescale was to implement some sort of solution. :)
Comment 41 Eric S 2015-12-22 01:30:54 UTC
I'd like to suggest that as far as the Application Launcher window goes, it seems to me it would make the most sense if this window just expanded vertically until it either did not need a scrollbar or has reached the height of the desktop. This would be better than making it resizeable.
Comment 42 fabrice salvaire 2016-01-22 12:45:11 UTC
From the point of view of a lambda user (on Fedora 24) something is wrong with the actual Plasma UI layout. Peoples will consider the foreground aspects and not the background works.  

With French translation, the application launcher must be larger since the menu looks like :

Favoris   Applicat...   Ordinat...   Historiq...   Quitter

instead of

Favoris   Applicat/ion   Ordinat/eur   Historiq/ue   Quitter

Same for the top right desktop corner button popup, text is truncated without elision.

UI designers should be aware some languages use more space than English.

The network applet doesn't have enough place for the graph. And the way to resize the dialogue is not intuitive. We have to know the pin workaround.

I understand the priority dilemma but the lambda user will see theses issues first.
Comment 43 Janet 2016-02-20 19:08:41 UTC
(In reply to Gerold Jens Wucherpfennig from comment #9)

> Here is the patch to add a pin button to the kickoff menu,
> in order to do the work-around of resizing kickoff ...

Wow, thanks a lot! Alas you have to patch the file after every update. That really should be the default, kickoff should contain that pin button! It is so useful, even if you don't want to resize the menu!
Comment 44 Thomas Meiner 2016-02-20 20:40:46 UTC
I did in Bug 354879 not ask for the "pin button". That's not the solution to this bug. None at all.

I was asking for the behaver of KED 4. There all items, like Kickoff, Clipboard, Networkmanager or Notifications did automatic change their high. According to there content size. Only if they have been larger then the screen, a scrollbar appeared. This worked in KDE 4 very well. The exciting solution in KED 5 is a big step backwards. Sad.

Pleas bring back the more user-friendly behaver of KED4. The "pin button" is just a workaround and not a solution or a fix. None at all
Comment 45 andy gaal 2016-02-20 21:05:27 UTC
resizing already works well if you hold the "alt" key and drag with rightclick mouse, it would be
good if the resized height remains after reboot, I have to drag it once every login, but I can live with 
that for a while.
I'm using KaOS and Manjaro KDE, since they are very close at the newest plasma releases, I am happy seeing that there has been done a lot of work around plasma 5 and it is developing well. 

;most other distros are lagging behind plasma 5 release updates,  making plasma users be 
disappointed,   even debian testing is 
far  behind currently released linux  software.

Activities and/or  Virtual Desktop starting to take shape achieve long seeked  kde4  features, and I am 
quite sure they are going to be soon implemented, plasma5 seems to me very promising  : - )
Comment 46 Thomas Meiner 2016-02-20 21:22:42 UTC
Again:
The user should not need to resize the items by it self. Plasma should do it by itself. As it was in KED 4.
All the ' "alt" key and drag with rightclick mous'-staff is just a workaround, but does not solve the problem.
Comment 47 andy gaal 2016-02-20 21:34:07 UTC
you are right, but  both are important, automatic features and to be able to adjust  yourself    : - )
since there are so many screen resolutions and so many user preferences kde should be as it is known for allowing every adjusting for every situation, so let also be happy with that alt-drag-mouse-klick   : - )

I remember kde4 I have adjusted once the height of kickoff and it remained that way even after
reboot, that would be good enough for me  : - )
Comment 48 Janet 2016-02-21 01:29:09 UTC
(In reply to Thomas Meiner from comment #46)
> The user should not need to resize the items by it self. Plasma should do it
> by itself. As it was in KED 4.

I am one of the users who explicitly want to resize the fly-outs like the menu by themselves. Plasma does not know which size I prefer. That was possible in KDE4.
Comment 49 Eike Hein 2016-02-21 04:28:22 UTC
Various popups already do change their size automatically FWIW (e.g. Application Menu).
Comment 50 andy gaal 2016-02-21 12:44:21 UTC
i just noticed, activity pager does desktop cube with different wallpapers still with some glitches, 
as some turnes of the cube remain slides, but mostly working yey : - )
coool thanks  : - )
Comment 51 andy gaal 2016-02-21 12:49:05 UTC
p.s.: there is no setting to this but, just built 6 activity backgrounds, set  up 6 virtual desktops,
assign to every virtual desktop an activity with the prefered wallpaper change virtual desktops 
to the alternative activity pager, then I was ready to roll
Comment 52 Janet 2016-02-21 14:23:45 UTC
(In reply to Eike Hein from comment #49)
> Various popups already do change their size automatically FWIW (e.g.
> Application Menu).

The "Kicker" Application Menu does, yes. It adjusts in height according to the added favorites... But maybe I want it to be higher even if the space is not needed by the favorites? Just because it looks and feels better and more "comfy" for me?

The Application Menu "Kickoff" does not resize (I have to scroll for the last two entries in the categories view). And it is good that it does not because otherwise it would constantly change if you switch to another tab. Therefore its size needs to be adjustable by the user who is the only one to determine the size that looks and feels best to him.

@andy gaal: wrong bug report?
Comment 53 andy gaal 2016-02-21 15:06:42 UTC
sorry that was the wrong bug report, I mixed it ...
as to plasma plasma popups I agree too, adjustions must be made by hand, and be remembered for the next sessions,
actually I have to resize after every login
Comment 54 Eike Hein 2016-02-21 17:09:04 UTC
There's no need to repeat the tiresome discussion from scratch; my comment was about pointing out new information in context of the auto-resize stuff earlier.
Comment 55 kde 2016-04-26 04:57:05 UTC
(In reply to andy gaal from comment #38)
> as my manjaro updated to plasma 5.5.1 I was able to resize the "kickoff"
> menu by pressing alt and dragging with the right mouse button hold.   : - ) 
> That made me feel really happy - Just did not try maybe it also applies to
> the popups ?

This works in Ubuntu // Kubuntu 16.04. Thank you for the tip.
Comment 56 Marco Martin 2016-05-04 12:14:44 UTC
*** Bug 353058 has been marked as a duplicate of this bug. ***
Comment 57 Kai Uwe Broulik 2016-06-01 15:06:19 UTC
*** Bug 363792 has been marked as a duplicate of this bug. ***
Comment 58 Kai Uwe Broulik 2016-06-13 09:56:49 UTC
*** Bug 363912 has been marked as a duplicate of this bug. ***
Comment 59 Thomas Meiner 2016-06-27 16:30:54 UTC
Created attachment 99725 [details]
networkmanager uses not even the half of the screeen size

Networkmanager uses not even the half of the screeen size.
On Fedora 24.
Comment 60 Thomas Meiner 2016-06-27 16:35:10 UTC
Created attachment 99726 [details]
The "add Widgets" dialogue is able to use the howl screen.

The "add Widgets" dialogue is able to use the howl screen. On Fedora 24.
Like this should all Plasashell elements work. Like in KED4!
Comment 61 Thomas Meiner 2016-06-27 16:38:57 UTC
The two screenshots I posted above illustrate the still existing problem. It seams nothing happens here. Really sad!

Why is it so hard to bring back the behavior of KDE4?
Are there any plans to fix this?
Comment 62 Kai Uwe Broulik 2017-02-07 10:18:45 UTC
*** Bug 376127 has been marked as a duplicate of this bug. ***
Comment 63 Patrick Silva 2018-02-07 15:54:29 UTC
*** Bug 389860 has been marked as a duplicate of this bug. ***
Comment 64 Kai Uwe Broulik 2018-02-13 08:28:24 UTC
*** Bug 390352 has been marked as a duplicate of this bug. ***
Comment 65 darwin te 2018-02-13 14:49:30 UTC
Any update to this bug?
Comment 66 Gregor Mi 2018-02-13 18:23:49 UTC
(In reply to darwin te from comment #65)
> Any update to this bug?

In this bug report I can see no reference that someone has written a patch to fix the issue, yet. There are so many other bugs which are handled by the main developers (see https://planet.kde.org/) and many others are still open.

So this one was just not picked yet. There is no central instance who does the prioritization of what is to be done next. The good thing is, anyone can choose this task. If you are not a developer, maybe one of your friends is. Explain the greatness of Free Software and maybe he/she will find the time to get involved with the issue.
Comment 67 Thomas Meiner 2018-02-15 17:30:12 UTC
(In reply to Gregor Mi from comment #66)
> (In reply to darwin te from comment #65)
> > Any update to this bug?
> 
> In this bug report I can see no reference that someone has written a patch
> to fix the issue, yet. There are so many other bugs which are handled by the
> main developers (see https://planet.kde.org/) and many others are still open.
> 
> So this one was just not picked yet. There is no central instance who does
> the prioritization of what is to be done next. The good thing is, anyone can
> choose this task. If you are not a developer, maybe one of your friends is.
> Explain the greatness of Free Software and maybe he/she will find the time
> to get involved with the issue.

Is this the shit, a developer can answer to real problems of users? To many Unix/Linux-DE don't take they users serious anymore. I really hope, KDE does an exception.

Yes, I'm a developer! But I'm not in KDE and Qt. An I won't go into DE hacking. But I'm contributing again and again to a few projects where Qt and KDE depend on. I'm all ready contribute to KDE indirectly. 

KDE works very well in many ways. Really great job. But there are a few downs. One of them is covered information oh a 30"-screen!

Pleas stop making users responsible for the mistakes of the developers!
Comment 68 Nate Graham 2018-02-15 21:56:35 UTC
OK, I'll wade into this pool of fire. :)

It seems like there are multiple interrelated underlying complaints here:
- Some content-heavy widgets (like the network widget) are too small
- Some content-light widgets (like the media status indicator) are too big
- The default size is too big on small screens

Any more?
Comment 69 Christoph Feck 2018-02-15 21:59:35 UTC
Thomas, let me reply to you.

1. Gregor is not a Plasma developer, but occasionally helps in this bug tracker. The feedback he gave you was honest and we hoped that it would answer your question.

2. Please read https://www.kde.org/code-of-conduct/
Comment 70 Thomas Meiner 2018-02-18 10:41:21 UTC
(In reply to Nate Graham from comment #68)
> OK, I'll wade into this pool of fire. :)
> 
> It seems like there are multiple interrelated underlying complaints here:
> - Some content-heavy widgets (like the network widget) are too small
> - Some content-light widgets (like the media status indicator) are too big
> - The default size is too big on small screens
> 
> Any more?

It's not about to BIG, to SMALL or default size. It's abut unused functionality. The user should not care abut the size of dialogues. And you should never ever need to scroll if your screen is big enough! This still works for all KDE4 dialogues and just some dial KDE5 dialogues.

In KDE4 all the popup dialogs of the System Tray have been auto responsive to the size of the screen and they contend. Some dialogues still show this behaviour. (e.g. the "Add Widgets"-dialog, see the images from  2016-06-27!) It means the functionality is still available in KDE5. You just need to use in all widgets and dialogues. Like in KDE4!

I can not understand, what's the big problem to bring the behaviour of KDE4 back?
Comment 71 Petr Sedlacek 2018-02-19 11:12:50 UTC
(In reply to Thomas Meiner from comment #70)
> I can not understand, what's the big problem to bring the behaviour of KDE4
> back?

Thomas, it's usually a problem of priorities - the development capacity is limited and issues are dealt with based on severity. I know this issue is annoying but let's be honest, it's not a big deal.
It is a bit of a pity this issue has been sitting here for nearly 4 years but I'm not shouting about it as I'm always getting an extremely good deal for my money ;-)
Comment 72 Christoph Feck 2018-02-22 02:25:58 UTC
*** Bug 389970 has been marked as a duplicate of this bug. ***
Comment 73 Nate Graham 2018-03-11 20:15:38 UTC
*** Bug 343944 has been marked as a duplicate of this bug. ***
Comment 74 Antonio Orefice 2018-04-28 08:26:02 UTC
Since many years passed and probably the implementation is complicated,
I propose to assign a unique window "title" to all plasma popups, so that at least an user can use kwin rules to make the popups of the desidered size, seems simpler to me as a temporary workaround till the issue will be finally solved in a proper way.
How does it sound?
Comment 75 Nate Graham 2019-08-13 16:14:28 UTC
*** Bug 410874 has been marked as a duplicate of this bug. ***
Comment 76 Nate Graham 2020-01-13 16:00:46 UTC
*** Bug 395892 has been marked as a duplicate of this bug. ***
Comment 77 Nate Graham 2020-01-13 16:03:03 UTC
Latest duplicate (Bug 395892) is a pretty legitimate request for being able to resize a Notes panel applet's expanded representation and remember that size.
Comment 78 Thomas Meiner 2020-01-13 18:54:20 UTC
It's no 5 years. Screens have become bigger since. But KDE Plasma Widgets are still act like h they are mead for small 90s VAG screens. Using just quarter of the screen. For all tasks you need to scroll... 

In KDE 4 they have been responsible to the screen size. Plasa 5 was a step back in usability. Just bring the behaver of KDE4 back. 

After 5 years, I come to the conclusion, KDE developer don't care any about they user any more. Really sad!
Comment 79 Gerold Jens Wucherpfennig 2020-01-14 18:22:04 UTC
(In reply to Thomas Meiner from comment #78)
> It's no 5 years. Screens have become bigger since. But KDE Plasma Widgets
> are still act like h they are mead for small 90s VAG screens. Using just
> quarter of the screen. For all tasks you need to scroll... 
> 
> In KDE 4 they have been responsible to the screen size. Plasa 5 was a step
> back in usability. Just bring the behaver of KDE4 back. 
> 
> After 5 years, I come to the conclusion, KDE developer don't care any about
> they user any more. Really sad!

You may want to use a different start menu instead. I have done that too.
Just download the mini app (also called widget) named "Tiled Menu".
It is available via the KDE app store.

If you like the Windows 10 start menu you will love "Tiled Menu".
Indeed it is a replica of the Windows 10 start menu.

Step by step guide:

First unlock the widgets of your panel.
Then go to "add widgets".
Click at "get new widgets".
Go to "download new plasma widgets".
Type "Tiled Menu" at the search box.
Click at "install".

You may change the start menu by
right click at the plasma menu button
and then click at "show alternatives".
Now you will be able to switch to "Tiled Menu".

I like KDE. After all, KDE is all about choice.
Comment 80 Thomas Meiner 2020-02-08 11:37:10 UTC
(In reply to Gerold Jens Wucherpfennig from comment #79)
> (In reply to Thomas Meiner from comment #78)
> > It's no 5 years. Screens have become bigger since. But KDE Plasma Widgets
> > are still act like h they are mead for small 90s VAG screens. Using just
> > quarter of the screen. For all tasks you need to scroll... 
> > 
> > In KDE 4 they have been responsible to the screen size. Plasa 5 was a step
> > back in usability. Just bring the behaver of KDE4 back. 
> > 
> > After 5 years, I come to the conclusion, KDE developer don't care any about
> > they user any more. Really sad!
> 
> You may want to use a different start menu instead. I have done that too.
> Just download the mini app (also called widget) named "Tiled Menu".
> It is available via the KDE app store.

Pleas, read the post above, form 5 years ago. May your answer would be more appropriate? 

I don't like to see the mistakes of MS in KDE. (Get away from me Satan! ;-) ) 
To present less options/informations on more screen space, is exactly the opposite of the goals of this bug. 

I didn't ask for the failed concepts of the Win8-GUI. 
I just ask to bring back the functionality and usability of KDE 4.

> If you like the Windows 10 start menu you will love "Tiled Menu".
> Indeed it is a replica of the Windows 10 start menu.

No!
I heat the win10 start menu. In KDE I use the old fashion "Applications Menu".

"Applications Menu" has got exactly the functionality this bug 332512 is asking for: It automatically changes size, according to it's content. Most other Plasma widgets don't. 

E.g.: It's all most impossible to use the Plasma-Network-Winding in the panel, without scrolling inside the widget. The widget has got a had coded size. My screen is ten times of the size. WTF! Why is this widget not showing all 50 wifi-networks a once? there would be enough space. 

The same silly issue in the following widgets: "Status and Notifications", "Audio Vollume", "Battery and Brightness", "Clipboard", "Priners", "Device Notifier" and so on...
In KDE 4 all widgets used to resize automatically.

The rare laudable exception are: "Klipper", "KMix"-widget and "Applications Menu". This widgets are the prove. The functionelety still exits in KDE 5! Just bring it back to all widgets.

> Step by step guide:
> 
> First unlock the widgets of your panel.
> Then go to "add widgets".
> Click at "get new widgets".
> Go to "download new plasma widgets".
> Type "Tiled Menu" at the search box.
> Click at "install".
> 
> You may change the start menu by
> right click at the plasma menu button
> and then click at "show alternatives".
> Now you will be able to switch to "Tiled Menu".
> 
> I like KDE. After all, KDE is all about choice.

This guide isn't a solution. 
It's a answer for a not asked question. And it's just an excuse.  
User to ask to user Windows is coward. May next time you try to understand the issue before answering.

Sorry for the straight talk.
Comment 81 darwin te 2020-02-12 18:04:45 UTC
Hi,

FYI, the windows start panel is resizable.

Cheers.
Comment 82 Russell 2020-02-18 01:20:34 UTC
After updating from 5.17.5 to 5.18.0 it's no longer possible to resize using Alt+right mouse button.
Comment 83 Claudius 2020-02-21 18:24:05 UTC
(In reply to Russell from comment #82)
> After updating from 5.17.5 to 5.18.0 it's no longer possible to resize using
> Alt+right mouse button.

True, you can still move it around using ALT+LeftMouse which results in a similar issue.
Comment 84 Thomas Meiner 2020-02-21 18:44:04 UTC
(In reply to Russell from comment #82)
> After updating from 5.17.5 to 5.18.0 it's no longer possible to resize using
> Alt+right mouse button.

And Plasma in KDE5 did never ever remember the size! Next session you have to change size again... (and again, and abain)

If plasma would remember the size of the widgets popups, it would be a workaround. But users should not care about widgets popups size. It should be auto-adaptive to the content of the popups. In KDE exactly this was true. It used to work very smooth in KDE4! 

It's a shame, there is now solution after 6 Years!
Comment 85 Patrick Silva 2020-03-11 02:46:31 UTC
*** Bug 418724 has been marked as a duplicate of this bug. ***
Comment 86 Patrick Silva 2020-04-16 13:58:08 UTC
*** Bug 420140 has been marked as a duplicate of this bug. ***
Comment 87 Thomas Meiner 2020-05-18 07:45:34 UTC
@Patrick Silva 

#332512 isn't a duplicate of #420140!
Please remove this duplicate link!

Application Launcher is one of the plasma Popups that does resize as all other should. 

For Application Launcher #332512 never appalyed. 

Pleas solve #332512 !! To march it with an other bug does not solve a 7 year old issue. (A shame it's still not fixed!)
Comment 88 fabrice salvaire 2020-05-19 15:12:51 UTC
Just a comment ...

I would say that KDE 5 has become something that is not a good promotion for Qt (company) in the industry.

Linux desktop is a disaster ... there are UX issues everywhere (system settings, printing dialog), long-standing bugs everywhere.

As many users, I cannot fork and patch KDE, I'd rather pay for something that works!  That is the real issue, a framework must be maintained and it costs.

QMl is like web technologies, it looks well if you do the right things.

It is obvious that widget must auto-adjust to content.

Example to test with qmlscene-qt5 :

---------------------------------------------------------------

import QtQuick 2.11
import QtQuick.Controls 2.4
import QtQuick.Layouts 1.11

ApplicationWindow {
    width: nameList.childrenRect.width // resize to content !!!

    ListModel {
        id: nameModel
        ListElement { name: "AliceAliceAliceAlice" }
        ListElement { name: "Bob" }
        ListElement { name: "JaneJaneJaneJane" }
        ListElement { name: "Harry" }
        ListElement { name: "Wendy" }
    }

    Component {
        id: nameDelegate
        Text {
            text: name;
            font.pixelSize: 32
        }
    }

    Row {
        id: nameList
        anchors.fill: parent
        spacing: 10

        Repeater {
            model: nameModel
            delegate: nameDelegate
        }
    }
}
Comment 89 Tristan Miller 2020-05-19 18:41:28 UTC
(In reply to fabrice salvaire from comment #88)
> As many users, I cannot fork and patch KDE, I'd rather pay for something
> that works!  That is the real issue, a framework must be maintained and it
> costs.

How kind it is of you to offer a cash bounty for this bug!  Could you please post the link to your bounty's entry on BountySource (or wherever it is you have placed the funds in escrow)?
Comment 90 Christoph Feck 2020-05-19 19:47:01 UTC
> Linux desktop is a disaster

I am glad you found something better.
Comment 91 Thomas Meiner 2020-05-23 08:17:19 UTC
(In reply to fabrice salvaire from comment #88)
> Just a comment ...
> 
> I would say that KDE 5 has become something that is not a good promotion for
> Qt (company) in the industry.
>
If you talk about this bug ( #332512 ), I agree. 

But in general KDE and Plasma is running very well an seamless. They didn't do many mistakes of other OS and DEs. There are not many bugs. KDE5 runs very stable.

May you face some issues, because you use unstable releases of Debian, named *-Buntu. But that's an issue of Canonical and not of KDE.
> 
> Linux desktop is a disaster ... there are UX issues everywhere (system
> settings, printing dialog), long-standing bugs everywhere.
> 
KDE Systemsettings are one of the best system settings on all OS and DEs. 
Priner dialog of windows is all most shit, because each printer manufacturer is adding it's own settings there. every printer the settings are different. I'm very glad KDE and GTK are designed very clean and uniform printer dialogues. 
>
> As many users, I cannot fork and patch KDE, I'd rather pay for something
> that works!  That is the real issue, a framework must be maintained and it
> costs.
> 
I fully agree. 

I'm a developer myself. But I'm not in desktop hacking. I do some very hardware close coding/low-level coding. It means I'm just a user of desktop apps and DEs. KDE even depends on some drivers and libraries I commit to continuously. If we would ignore issues like #332512 for 7 years, KDE developers would make a rebellion.
>
> QMl is like web technologies, it looks well if you do the right things.
> 
> It is obvious that widget must auto-adjust to content.
> 
I fully agree. 
In KDE 3 and 4 it used to work. "KDE5-Application Menu" still does. It means the functionality is still present in Plasma/KDE5. I just ask to include this functions in all widgets. Not more, not less.

Pleas be car full with generally kill overs.
Comment 92 Nate Graham 2020-11-25 00:59:43 UTC
*** Bug 350060 has been marked as a duplicate of this bug. ***
Comment 93 Nate Graham 2021-01-04 23:02:52 UTC
*** Bug 430332 has been marked as a duplicate of this bug. ***
Comment 94 Patrick Silva 2021-06-06 22:21:41 UTC
*** Bug 438181 has been marked as a duplicate of this bug. ***
Comment 95 Gerold Jens Wucherpfennig 2021-06-11 09:31:04 UTC
Today I donated 30 Euro to K Desktop Environment e.V. to fix this bug (Kickoff is not resizable). I hope that someone will take notice of this bug.
Comment 96 ncdehnel 2021-06-13 22:27:03 UTC
Is there a workaround for the new redesigned kickoff? My old patch doesn't work any more.
Comment 97 Patrick Silva 2021-06-13 22:56:30 UTC
I do not know any workaround. You can use the old kicloff,
it is available in KDE Store

https://store.kde.org/p/1468103/
Comment 98 Michael Hamilton 2021-09-04 21:25:17 UTC
This seems to be an intractable issue (arguably showing an appalling lack of sensibility to real-world usability in the age of 4K monitors).  There is an alternative which works quite well and the author appears focused on usability: cupnoodle's Kickoff/Grid: https://store.kde.org/p/1317546 - I would suggest those seeking a resizable kickoff vote with their feet, which was somewhat officially suggested here https://forum.kde.org/viewtopic.php?f=83&t=170175
Comment 99 Guido Schmidt 2021-09-04 23:43:31 UTC
No Michael, this bug is not about kickoff only, it's about the plasmoids 
in general that are attached to the startmenu. For instance the folder 
view: It is ridiculously small, therefore shows only a few files, and 
only the first part of their names. And it cannot be resized.
Guido

04.09.2021 23:25:22 Michael Hamilton <bugzilla_noreply@kde.org>:

> https://bugs.kde.org/show_bug.cgi?id=332512
>
> Michael Hamilton <michael@actrix.gen.nz> changed:
>
>            What    |Removed                     |Added
> 
----------------------------------------------------------------------------
>                  CC|                            |michael@actrix.gen.nz
>
> --- Comment #98 from Michael Hamilton <michael@actrix.gen.nz> ---
> This seems to be an intractable issue (arguably showing an appalling 
lack of
> sensibility to real-world usability in the age of 4K monitors).  There 
is an
> alternative which works quite well and the author appears focused on 
usability:
> cupnoodle's Kickoff/Grid: https://store.kde.org/p/1317546 - I would 
suggest
> those seeking a resizable kickoff vote with their feet, which was 
somewhat
> officially suggested here 
https://forum.kde.org/viewtopic.php?f=83&t=170175
>
> --
> You are receiving this mail because:
> You voted for the bug.
Comment 100 Michael Hamilton 2021-09-04 23:59:48 UTC
(In reply to Guido Schmidt from comment #99)
> No Michael, this bug is not about kickoff only, it's about the plasmoids 
> in general that are attached to the startmenu. For instance the folder 
> view: It is ridiculously small, therefore shows only a few files, and 
> only the first part of their names. And it cannot be resized.
> Guido
> 
> 04.09.2021 23:25:22 Michael Hamilton <bugzilla_noreply@kde.org>:
> 
> > https://bugs.kde.org/show_bug.cgi?id=332512
> >
> > Michael Hamilton <michael@actrix.gen.nz> changed:
> >
> >            What    |Removed                     |Added
> > 
> ----------------------------------------------------------------------------
> >                  CC|                            |michael@actrix.gen.nz
> >
> > --- Comment #98 from Michael Hamilton <michael@actrix.gen.nz> ---
> > This seems to be an intractable issue (arguably showing an appalling 
> lack of
> > sensibility to real-world usability in the age of 4K monitors).  There 
> is an
> > alternative which works quite well and the author appears focused on 
> usability:
> > cupnoodle's Kickoff/Grid: https://store.kde.org/p/1317546 - I would 
> suggest
> > those seeking a resizable kickoff vote with their feet, which was 
> somewhat
> > officially suggested here 
> https://forum.kde.org/viewtopic.php?f=83&t=170175
> >
> > --
> > You are receiving this mail because:
> > You voted for the bug.

There is a solution for kickoff because I've cited one (and it does retain the size over multiple sessions).  If there is a wider issue, I' not sure I agree with it being a reason for deferring a kickoff usability improvement that is long overdue (given 4K has been with us for some time now).  Perhaps this bug should be split in two.
Comment 101 apache 2021-09-05 07:24:36 UTC
@Michael Hamilton

> arguably showing an appalling lack of sensibility to real-world usability in the age of 4K monitors

You have reached to the wrong conclusion about what is called real-world.

I still use 1280x1024 and it is from the era when there wasn't such thing as planned obsolescence
https://en.wikipedia.org/wiki/Planned_obsolescence

It still working and that's why I see no reason to replace it.

My previous screen although was wider died after only 3 years.

And remember that Linux is widely used in use-cases where wide screen is either not needed or investment in hardware such as wide screens are not priority (for example academic institutes).

Calendar is still not resizable as it used to be possible.
Comment 102 Michael Hamilton 2021-09-05 10:29:20 UTC
(In reply to apache from comment #101)
> @Michael Hamilton
> 
> > arguably showing an appalling lack of sensibility to real-world usability in the age of 4K monitors
> 
> You have reached to the wrong conclusion about what is called real-world.
> 
> I still use 1280x1024 and it is from the era when there wasn't such thing as
> planned obsolescence
> https://en.wikipedia.org/wiki/Planned_obsolescence
> 
> It still working and that's why I see no reason to replace it.
> 
> My previous screen although was wider died after only 3 years.
> 
> And remember that Linux is widely used in use-cases where wide screen is
> either not needed or investment in hardware such as wide screens are not
> priority (for example academic institutes).
> 
> Calendar is still not resizable as it used to be possible.

My Linux development desktop is more than 10 years old, as is my right hand monitor, but I don't think the sole target market for KDE or kickoff is yesterday's hardware.  Although Linux is an "all terrain vehicle", I think KDE is is focused on the desktop.

Kickoff is font and centre of KDE first-impressions.  I can appreciate that a more general solution would be attractive, but some priority to first impressions would be both practical and good P.R.  So I return to my suggestion that a kickoff fix and the more general solution could be split. Lastly there is cupnoodles kickoff/grid for those who don't want to wait for the kickoff part of the problem to be solved. But I'm repeating myself, sorry.
Comment 103 Nate Graham 2022-01-16 16:14:37 UTC
*** Bug 433671 has been marked as a duplicate of this bug. ***
Comment 104 Nate Graham 2022-01-16 17:07:21 UTC
*** Bug 433671 has been marked as a duplicate of this bug. ***
Comment 105 Dmitri Koulikoff 2022-01-16 20:44:50 UTC
Why not to implement the resizing as it was in kde4? With just allowing it simply positioning the mouse cursor at the border and then with the dragging. Is Alt+right mouse really needed?
Comment 106 Nate Graham 2022-01-17 01:40:00 UTC
If the requested feature were implemented (and I think it should), then that would be the way to implement it, yeah.
Comment 107 Luca Carlon 2022-03-05 13:07:10 UTC
Sorry to disturb. I was looking into this. I still have to find a way to properly implement the resize as requested, but for the moment I though I could be happy with something like this: https://invent.kde.org/lcarlon/plasma-workspace/-/commit/4be549976a28957fb225d6a98df8b9f258e2292b. Works well for me. Not what was discussed, but can it be useful anyway?
Comment 108 Nate Graham 2022-03-08 00:45:25 UTC
Not sure it makes sense to implement that in every applet. It would be like asking every app to implement window resizing itself. We need to just make popups resizable in a generic way, the way desktop applets currently are.
Comment 109 Luca Carlon 2022-03-13 12:43:58 UTC
Is there someone actively working on this?
Comment 110 Luca Carlon 2022-03-20 14:49:12 UTC
What about this second proposal Nate? It makes dialogs resizable as requested.

https://invent.kde.org/lcarlon/plasma-framework/-/commit/492c2d8fb76d6b7f7e4cd4f4153ae05ee1c16c5c
https://invent.kde.org/lcarlon/plasma-workspace/-/commit/5868a147599951bfeabc0abe3894aeaa6a17f561

It is just a draft. This patch does what Qt internally does. I tested it on X11, I'll need to work more for Wayland. X11 with applied scaling may be affected by a known Qt bug instead, still untested though.

The implementation still needs applets to properly set the resizable flag (I wanted the change to be transparent for the rest of Plasma). The patch respects the max and min sizes if set by the applets, so those sizes must be changed in the applets. I only tested on the systray applet.
Comment 111 Nate Graham 2022-03-23 20:33:43 UTC
Seems like a sane approach overall. I'd encourage you to keep polishing it and eventually submit it!
Comment 112 Luca Carlon 2022-03-23 21:48:53 UTC
Thank you Nate for your feedback. I'm currently stuck with the Wayland implementation. It seems that this technique works in Wayland when only Qt is involved, but does not seem to work when applied to the PlasmaQuick::Dialog. I suspect the reason is related to the fact that the popup in Wayland is somehow wrapped in a KWayland::Client::PlasmaShellSurface, so resize events should be redirected there instead. I'm digging into KWayland to find out how this works, but if someone had a hint, it would be helpful.
Comment 113 Luca Carlon 2022-04-06 16:37:21 UTC
This is what I came up with:

https://youtu.be/iSZcLh2yL1E

works pretty much the same on both Wayland and X11. If someone wanted to provide some feedback, these are the two patches:

https://invent.kde.org/lcarlon/plasma-framework/-/commits/resize_dialog/
https://invent.kde.org/lcarlon/plasma-workspace/-/tree/resize_systray_popups
Comment 114 Nate Graham 2022-04-07 16:06:38 UTC
That seems really great, Luca! Please feel free to submit that work in the form of merge requests and we'll formally review it and see if we can finally get this fixed!
Comment 115 Luca Carlon 2022-04-09 13:13:39 UTC
I opened the first merge request: https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/500. This one is just for the resize capability in the dialog implementation. If this is actually accepted, I'll other merge requests depending on this.
Comment 116 Luca Carlon 2022-04-16 15:35:02 UTC
I opened another MR regarding this feature: https://invent.kde.org/plasma/kwin/-/merge_requests/2253. I won't be able to go on with this feature without feedback from some expert Plasma/kwin dev about these MRs.
Comment 118 Nate Graham 2022-05-04 15:00:35 UTC
Very nice work. I am giving it all a try now. So far is works well in general, but I've found some bugs. I'll comment in the relevant merge requests.

Unfortunately I think this will probably miss Plasma 5.25, since it the soft feature freeze is tomorrow and it requires frameworks changes, and those could need to go in in the next 3 days to get in for Frameworks 5.94 (which is what Plasma 5.25 will require). So it's probably better for us to target 5.26 with this, and polish it up to a mirror sheen for that release.

Thanks so much for doing this! I think folks are really going to be happy with it.
Comment 119 Nate Graham 2022-05-06 14:47:38 UTC
*** Bug 453449 has been marked as a duplicate of this bug. ***
Comment 120 Nate Graham 2022-05-27 17:11:28 UTC
Git commit 7892a18c26cad6881a1cddc5b1b722c8c5533049 by Nate Graham, on behalf of Luca Carlon.
Committed on 27/05/2022 at 17:11.
Pushed by ngraham into branch 'master'.

Add a new window type named AppletPopup.

See discussion in https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/500.
Related: bug 411462

M  +2    -0    autotests/kwindowinfox11test.cpp
M  +1    -1    autotests/netrootinfotestwm.cpp
M  +1    -0    autotests/netwininfotestclient.cpp
M  +5    -0    src/netwm_def.h
M  +1    -0    src/platforms/xcb/atoms_p.h
M  +16   -0    src/platforms/xcb/netwm.cpp

https://invent.kde.org/frameworks/kwindowsystem/commit/7892a18c26cad6881a1cddc5b1b722c8c5533049
Comment 121 Nate Graham 2022-05-27 17:12:42 UTC
Git commit 590cc34c684b0c38ee895472a0e20f9787d5089d by Nate Graham, on behalf of Luca Carlon.
Committed on 27/05/2022 at 17:12.
Pushed by ngraham into branch 'master'.

Add AppletPopup window type to PlasmaShellSurface

See discussion in https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/500.
Related: bug 411462

M  +1    -0    autotests/client/test_plasmashell.cpp
M  +3    -0    src/client/plasmashell.cpp
M  +1    -0    src/client/plasmashell.h
M  +4    -1    src/server/plasmashell_interface.cpp
M  +1    -0    src/server/plasmashell_interface.h
M  +4    -0    tests/plasmasurfacetest.cpp

https://invent.kde.org/frameworks/kwayland/commit/590cc34c684b0c38ee895472a0e20f9787d5089d
Comment 122 Nate Graham 2022-05-27 21:16:43 UTC
Git commit affcdeed45755321d7d41c83375729abf9018d5f by Nate Graham, on behalf of Luca Carlon.
Committed on 27/05/2022 at 21:16.
Pushed by ngraham into branch 'master'.

Implement resize capability for Plasma dialog

This patch only adds the capability to the dialog class; other patches are
needed to bring the real feature to the user. This patch is intended as
transparent for elements not using the resize capability.

M  +237  -2    src/plasmaquick/dialog.cpp
M  +13   -0    src/plasmaquick/dialog.h

https://invent.kde.org/frameworks/plasma-framework/commit/affcdeed45755321d7d41c83375729abf9018d5f
Comment 123 Nate Graham 2022-05-27 21:49:44 UTC
Git commit da0dd1e367b638f7d7803f1eccfb8a36d54c3a43 by Nate Graham, on behalf of Luca Carlon.
Committed on 27/05/2022 at 21:49.
Pushed by ngraham into branch 'master'.

Support new AppletPopup window type

See the discussion in https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/500.
Related: bug 411462
FIXED-IN: 5.25

M  +2    -0    autotests/integration/internal_window.cpp
M  +2    -0    autotests/integration/plasma_surface_test.cpp
M  +2    -0    src/debug_console.cpp
M  +1    -0    src/effects.cpp
M  +1    -0    src/effects.h
M  +2    -1    src/effects/fadingpopups/package/contents/code/main.js
M  +4    -0    src/libkwineffects/kwineffects.h
M  +1    -0    src/wayland/autotests/client/test_plasmashell.cpp
M  +3    -0    src/wayland/plasmashell_interface.cpp
M  +1    -0    src/wayland/plasmashell_interface.h
M  +4    -0    src/wayland/tests/plasmasurfacetest.cpp
M  +5    -2    src/window.cpp
M  +11   -0    src/window.h
M  +1    -1    src/workspace.cpp
M  +12   -1    src/x11window.cpp
M  +10   -2    src/xdgshellwindow.cpp

https://invent.kde.org/plasma/kwin/commit/da0dd1e367b638f7d7803f1eccfb8a36d54c3a43
Comment 124 Nate Graham 2022-05-27 21:54:00 UTC
Git commit ace8a4a3515de002b2605fbe382b825394fad28b by Nate Graham, on behalf of Luca Carlon.
Committed on 27/05/2022 at 21:53.
Pushed by ngraham into branch 'master'.

Make widget popups resizable

See the discussion in https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/500.
Related: bug 411462

M  +6    -2    applets/analog-clock/contents/ui/analogclock.qml
M  +6    -2    applets/batterymonitor/package/contents/ui/main.qml
M  +5    -2    applets/calendar/package/contents/ui/main.qml
M  +5    -2    applets/clipboard/contents/ui/clipboard.qml
M  +3    -0    applets/devicenotifier/package/contents/ui/FullRepresentation.qml
M  +6    -9    applets/digital-clock/package/contents/ui/CalendarView.qml
M  +1    -1    applets/kicker/plugin/submenu.cpp
M  +5    -2    applets/mediacontroller/contents/ui/ExpandedRepresentation.qml
M  +8    -3    applets/notifications/package/contents/ui/FullRepresentation.qml
M  +7    -13   applets/systemtray/package/contents/ui/ExpandedRepresentation.qml
M  +3    -0    applets/systemtray/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-workspace/commit/ace8a4a3515de002b2605fbe382b825394fad28b
Comment 125 Nate Graham 2022-05-27 21:54:19 UTC
Git commit 23c4e82cdcb6c7f251c27c6eefa643415c8c5927 by Nate Graham, on behalf of Luca Carlon.
Committed on 27/05/2022 at 21:53.
Pushed by ngraham into branch 'master'.

Make widget popups resizable

See the discussion in https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/500.
Related: bug 411462

M  +4    -0    applets/kickoff/package/contents/ui/FullRepresentation.qml
M  +6    -0    desktoppackage/contents/applet/CompactApplet.qml

https://invent.kde.org/plasma/plasma-desktop/commit/23c4e82cdcb6c7f251c27c6eefa643415c8c5927
Comment 126 Nate Graham 2022-06-24 13:54:52 UTC
*** Bug 455881 has been marked as a duplicate of this bug. ***